% MPS2MAT - parses MPS files
% 
% MPS2MAT(path) reads an LP from an MPS file and stores it in a
% MAT file. The MAT file is created in the same directory as the
% MPS file (with extension .MAT). 
% The stored LP has the following form:
%
%       min/max     c'x
%         s.t     Ax <= a
%                 Bx  = b
%                 xl <= x <= xu
%
% Infinite simple bounds are represented by MATLAB's/IEEE's value
% for infinite floating point numbers ([-]Infinity). All stored
% matrices are sparse, all vectors are column vectors.
%
% MPS2MAT(path, silent) suppresses verbose output if SILENT is
% set to TRUE. Settin SILENT to FALSE is equivalent to calling
% MPS2MAT without specifying SILENT.
%
% Copyright (C) 2005,2007 Christian Keil
%   $Revision: 509 $

% $Id: mps2mat.m 509 2007-05-24 14:52:14Z keil $

function mps2mat(path)
mexfunc = ['mps2mat.' mexext];
disp(['Could not find ' mexfunc '!'])
disp('Make sure that:')
disp('  1) you have compiled the sources')
disp('      (enter `makereadmps'' at the MATLAB prompt)')
disp(['  2) ' mexfunc ' resides in the current directory or on the MATLAB path'])
error([mexfunc ' not found'])
