#define HAVE_GMP
#include "readMps.h"

int
main(int argc, char *argv[])
{
  printf("\to========================================o\n"
	 "\t|        MPS Parser                      |\n"
	 "\t|      ,------------'                    |\n"
	 "\t|                                        |\n"
	 "\t| %38s |\n"
	 "\t| %38s |\n"
	 "\t|                                        |\n"
	 "\t| Cmdline version just for debugging.    |\n"
	 "\t`========================================'\n\n",
	 copyright, revision);

  if (argc != 3) {
    printf("Read exact version with `-exact'\n");
    printf("     double version with `-double'\n");
    exit(EXIT_FAILURE);
  }
  CLp *lp;
  if (0 == strcmp(argv[1], "-exact")) {
    lp = new CLpExact;
  } else if (0 == strcmp(argv[1], "-double")) {
    lp = new CLpDouble;
  } else {
    printf("Read exact version with `-exact'\n");
    printf("     double version with `-double'\n");
    exit(EXIT_FAILURE);
  }

  /* we want to debug this piece so we just need to start the parse routine with
   * the supplied mps file. */
  if (readMps(argv[2], *lp, false) == -1) {
    printf("ERROR while parsing\n");
    exit(EXIT_FAILURE);
  }

  exit(EXIT_SUCCESS);
}
