% READMPS - parses MPS files
% 
% lp = READMPS(path) reads an LP from an MPS file to the
% workspace. The returned LP has the following form:
%
%       min/max     lp.c' x
%         s.t     lp.A x <= lp.a
%                 lp.B x  = lp.b
%                 lp.xl <= x <= lp.xu
%
% Infinite simple bounds are represented by MATLAB's/IEEE's value
% for infinite floating point numbers ([-]Infinity). All returned
% matrices are sparse, all vectors are column vectors.
%
% lp = READMPS(path, silent) suppresses verbose output if SILENT
% is set to TRUE. Settin SILENT to FALSE is equivalent to calling
% READMPS without specifying SILENT.
%
% Copyright (C) 2005,2007 Christian Keil
%   $Revision: 509 $

% $Id: readmps.m 509 2007-05-24 14:52:14Z keil $

function readmps(path)
mexfunc = ['readmps.' mexext];
disp(['Could not find ' mexfunc '!'])
disp('Make sure that:')
disp('  1) you have compiled the sources')
disp('      (enter `makereadmps'' at the MATLAB prompt)')
disp(['  2) ' mexfunc ' resides in the current directory or on the MATLAB path'])
error([mexfunc ' not found'])
